NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::Pillar Features::ShipDesign::Pillar@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreatePillarBuilder Features::ShipCollection::CreatePillarBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CapOptions { CapOptionsNone, CapOptionsTwoSided, CapOptionsSymmetric } |
Settings to indicate how the cap is designed. More... | |
enum | CreationMethod { CreationMethodTwoPlanesandLines, CreationMethodSpecifyLine, CreationMethodSpecifyCsys, CreationMethodAdoption } |
Method used to create the support feature. More... | |
enum | EndCutTypes { EndCutTypesNone, EndCutTypesSymmetric, EndCutTypesTwoSided } |
this specifies how the end cuts are applied More... | |
enum | EndTypeOptions { EndTypeOptionsNone, EndTypeOptionsEndcut, EndTypeOptionsCap } |
this specifies end type option More... | |
enum | StockSectionType { StockSectionTypeProfile, StockSectionTypeBuiltUp } |
SpreadSheet Type Profile or BuiltUp. More... | |
Public Member Functions | |
NXOpen::SelectTaggedObject * | AdoptionBody () |
Returns the adoption body (only used with "JA_PILLAR_BUILDER_CreationMethod_AdoptionBody" creation method). | |
double | AngleTolerance () |
Returns the angle tolerance. | |
NXOpen::Expression * | AngularDim () |
Returns the angle that the pillar stock will be rotated about its path from its initial location. | |
NXOpen::Features::ShipDesign::BuiltUpBlockBuilder * | BuiltUpBlock () |
Returns the list of Seams Created in NX9.0.0. | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the coord system (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation method). | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | EndCapStock () |
Returns the list of available material attributes. | |
NXOpen::Expression * | EndCapThickness () |
Returns the end cap thickness. | |
NXOpen::Features::ShipDesign::PillarBuilder::EndCutTypes | EndCutType () |
Returns the end cut type Symmetric or TwoSided Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::EndCutBuilder * | EndEndCut () |
Returns the end end cut Created in NX8.0.0. | |
NXOpen::Expression * | EndOffset () |
Returns the offset used to determine where the support ends (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods). | |
NXOpen::Plane * | EndPlane () |
Returns the end plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
NXOpen::Features::ShipDesign::PillarBuilder::EndTypeOptions | EndTypeOption () |
Returns the end type Option Created in NX8.0.0. | |
NXOpen::SelectTaggedObject * | GuideCurve () |
Returns the select guide curve (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" creation method). | |
NXOpen::SelectTaggedObject * | Line1 () |
Returns the first line (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
NXOpen::Expression * | Line1Offset () |
Returns the first line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
NXOpen::SelectTaggedObject * | Line2 () |
Returns the second line (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
NXOpen::Expression * | Line2Offset () |
Returns the second line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | MainStock () |
Returns the stock used to build the pillar from. | |
NXOpen::SelectTaggedObject * | OrientationLine () |
Returns the orientation line (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" creation method). | |
NXOpen::Features::ShipDesign::PillarBuilder::CreationMethod | PlacementMethod () |
Returns the placement method used to locate the pillar. | |
bool | ReverseEndOffset () |
Returns the reverse end offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods). | |
bool | ReverseLine1Offset () |
Returns the reverse first line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
bool | ReverseLine2Offset () |
Returns the reverse second line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
bool | ReverseStartOffset () |
Returns the reverse start offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods). | |
NXOpen::Features::ShipDesign::PillarBuilder::StockSectionType | SectionType () |
Returns the section type (profile or plate) Created in NX9.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the coord system (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation method). | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetEndCutType (NXOpen::Features::ShipDesign::PillarBuilder::EndCutTypes endcutType) |
Sets the end cut type Symmetric or TwoSided Created in NX8.0.0. | |
void | SetEndPlane (NXOpen::Plane *endPlane) |
Sets the end plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
void | SetEndTypeOption (NXOpen::Features::ShipDesign::PillarBuilder::EndTypeOptions endTypeOption) |
Sets the end type Option Created in NX8.0.0. | |
void | SetPlacementMethod (NXOpen::Features::ShipDesign::PillarBuilder::CreationMethod placementMethod) |
Sets the placement method used to locate the pillar. | |
void | SetReverseEndOffset (bool reverseEndOffset) |
Sets the reverse end offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods). | |
void | SetReverseLine1Offset (bool reverseLine1Offset) |
Sets the reverse first line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
void | SetReverseLine2Offset (bool reverseLine2Offset) |
Sets the reverse second line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
void | SetReverseStartOffset (bool reverseStartOffset) |
Sets the reverse start offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods). | |
void | SetSectionType (NXOpen::Features::ShipDesign::PillarBuilder::StockSectionType sectionType) |
Sets the section type (profile or plate) Created in NX9.0.0. | |
void | SetStartPlane (NXOpen::Plane *startPlane) |
Sets the start plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
void | SetSupportCapOptions (NXOpen::Features::ShipDesign::PillarBuilder::CapOptions supportCapOptions) |
Sets the support cap options. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | StartCapStock () |
Returns the list of available material attributes. | |
NXOpen::Expression * | StartCapThickness () |
Returns the start cap thickness. | |
NXOpen::Features::ShipDesign::EndCutBuilder * | StartEndCut () |
Returns the start end cut Created in NX8.0.0. | |
NXOpen::Expression * | StartOffset () |
Returns the offset used to determine where the support starts (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods). | |
NXOpen::Plane * | StartPlane () |
Returns the start plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method). | |
NXOpen::Features::ShipDesign::PillarBuilder::CapOptions | SupportCapOptions () |
Returns the support cap options. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::Pillar Features::ShipDesign::Pillar@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreatePillarBuilder Features::ShipCollection::CreatePillarBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleTolerance |
0.5 (millimeters part), 0.5 (inches part) |
AngularDim.Value |
0 |
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
EndCapThickness.Value |
0 (millimeters part), 0 (inches part) |
EndCutType |
None |
EndEndCut.ConnectionType |
Connected |
EndEndCut.DraftAngle.Value |
0 |
EndEndCut.DraftOffset.Value |
0 (millimeters part), 0 (inches part) |
EndEndCut.DraftType |
Trim |
EndEndCut.LimitType |
Value |
EndEndCut.Offset.Value |
0 (millimeters part), 0 (inches part) |
EndEndCut.SelectionType |
FacesWithAttributes |
EndEndCut.ShearAngle.Value |
0 |
EndEndCut.TiltAngle.Value |
0 |
EndOffset.Value |
0 (millimeters part), 0 (inches part) |
Line1Offset.Value |
0 (millimeters part), 0 (inches part) |
Line2Offset.Value |
0 (millimeters part), 0 (inches part) |
PlacementMethod |
TwoPlanesandLines |
SectionType | |
StartCapThickness.Value |
0 (millimeters part), 0 (inches part) |
StartOffset.Value |
0 (millimeters part), 0 (inches part) |
SupportCapOptions |
None |
Created in NX8.0.0.
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarBuilder::AdoptionBody | ( | ) |
Returns the adoption body (only used with "JA_PILLAR_BUILDER_CreationMethod_AdoptionBody" creation method).
Created in NX8.5.0.
License requirements : None
double NXOpen::Features::ShipDesign::PillarBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::AngularDim | ( | ) |
Returns the angle that the pillar stock will be rotated about its path from its initial location.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::BuiltUpBlockBuilder* NXOpen::Features::ShipDesign::PillarBuilder::BuiltUpBlock | ( | ) |
Returns the list of Seams
Created in NX9.0.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::PillarBuilder::CoordSystem | ( | ) |
Returns the coord system (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation method).
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::PillarBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarBuilder::EndCapStock | ( | ) |
Returns the list of available material attributes.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::EndCapThickness | ( | ) |
Returns the end cap thickness.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarBuilder::EndCutTypes NXOpen::Features::ShipDesign::PillarBuilder::EndCutType | ( | ) |
Returns the end cut type Symmetric or TwoSided
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::EndCutBuilder* NXOpen::Features::ShipDesign::PillarBuilder::EndEndCut | ( | ) |
Returns the end end cut
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::EndOffset | ( | ) |
Returns the offset used to determine where the support ends (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods).
Created in NX8.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::PillarBuilder::EndPlane | ( | ) |
Returns the end plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarBuilder::EndTypeOptions NXOpen::Features::ShipDesign::PillarBuilder::EndTypeOption | ( | ) |
Returns the end type Option
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarBuilder::GuideCurve | ( | ) |
Returns the select guide curve (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarBuilder::Line1 | ( | ) |
Returns the first line (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::Line1Offset | ( | ) |
Returns the first line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarBuilder::Line2 | ( | ) |
Returns the second line (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::Line2Offset | ( | ) |
Returns the second line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarBuilder::MainStock | ( | ) |
Returns the stock used to build the pillar from.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarBuilder::OrientationLine | ( | ) |
Returns the orientation line (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarBuilder::CreationMethod NXOpen::Features::ShipDesign::PillarBuilder::PlacementMethod | ( | ) |
Returns the placement method used to locate the pillar.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PillarBuilder::ReverseEndOffset | ( | ) |
Returns the reverse end offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods).
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PillarBuilder::ReverseLine1Offset | ( | ) |
Returns the reverse first line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PillarBuilder::ReverseLine2Offset | ( | ) |
Returns the reverse second line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PillarBuilder::ReverseStartOffset | ( | ) |
Returns the reverse start offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarBuilder::StockSectionType NXOpen::Features::ShipDesign::PillarBuilder::SectionType | ( | ) |
Returns the section type (profile or plate)
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::PillarBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
angleTolerance | angletolerance |
void NXOpen::Features::ShipDesign::PillarBuilder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the coord system (only used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation method).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::PillarBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::PillarBuilder::SetEndCutType | ( | NXOpen::Features::ShipDesign::PillarBuilder::EndCutTypes | endcutType | ) |
Sets the end cut type Symmetric or TwoSided
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
endcutType | endcuttype |
void NXOpen::Features::ShipDesign::PillarBuilder::SetEndPlane | ( | NXOpen::Plane * | endPlane | ) |
Sets the end plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
endPlane | endplane |
void NXOpen::Features::ShipDesign::PillarBuilder::SetEndTypeOption | ( | NXOpen::Features::ShipDesign::PillarBuilder::EndTypeOptions | endTypeOption | ) |
Sets the end type Option
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
endTypeOption | endtypeoption |
void NXOpen::Features::ShipDesign::PillarBuilder::SetPlacementMethod | ( | NXOpen::Features::ShipDesign::PillarBuilder::CreationMethod | placementMethod | ) |
Sets the placement method used to locate the pillar.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
placementMethod | placementmethod |
void NXOpen::Features::ShipDesign::PillarBuilder::SetReverseEndOffset | ( | bool | reverseEndOffset | ) |
Sets the reverse end offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseEndOffset | reverseendoffset |
void NXOpen::Features::ShipDesign::PillarBuilder::SetReverseLine1Offset | ( | bool | reverseLine1Offset | ) |
Sets the reverse first line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseLine1Offset | reverseline1offset |
void NXOpen::Features::ShipDesign::PillarBuilder::SetReverseLine2Offset | ( | bool | reverseLine2Offset | ) |
Sets the reverse second line offset (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseLine2Offset | reverseline2offset |
void NXOpen::Features::ShipDesign::PillarBuilder::SetReverseStartOffset | ( | bool | reverseStartOffset | ) |
Sets the reverse start offset (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseStartOffset | reversestartoffset |
void NXOpen::Features::ShipDesign::PillarBuilder::SetSectionType | ( | NXOpen::Features::ShipDesign::PillarBuilder::StockSectionType | sectionType | ) |
Sets the section type (profile or plate)
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")
sectionType | sectiontype |
void NXOpen::Features::ShipDesign::PillarBuilder::SetStartPlane | ( | NXOpen::Plane * | startPlane | ) |
Sets the start plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
startPlane | startplane |
void NXOpen::Features::ShipDesign::PillarBuilder::SetSupportCapOptions | ( | NXOpen::Features::ShipDesign::PillarBuilder::CapOptions | supportCapOptions | ) |
Sets the support cap options.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
supportCapOptions | supportcapoptions |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarBuilder::StartCapStock | ( | ) |
Returns the list of available material attributes.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::StartCapThickness | ( | ) |
Returns the start cap thickness.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::EndCutBuilder* NXOpen::Features::ShipDesign::PillarBuilder::StartEndCut | ( | ) |
Returns the start end cut
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PillarBuilder::StartOffset | ( | ) |
Returns the offset used to determine where the support starts (used with "JA_PILLAR_BUILDER_CreationMethod_SpecifyLine" and "JA_PILLAR_BUILDER_CreationMethod_SpecifyCsys" creation methods).
Created in NX8.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::PillarBuilder::StartPlane | ( | ) |
Returns the start plane (only used with "JA_PILLAR_BUILDER_CreationMethod_TwoPlanesandLines" creation method).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PillarBuilder::CapOptions NXOpen::Features::ShipDesign::PillarBuilder::SupportCapOptions | ( | ) |
Returns the support cap options.
Created in NX8.0.0.
License requirements : None